%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	A Python package to parse and build CSS Cascading Style Sheets. 
Name:		python26-cssutils
Version:	0.9.7
Release:	1
BuildArch:	i686
License:	GNU/LGPL
URL:		http://code.google.com/p/cssutils/	
Group:		Networking/Others
Source0:	cssutils-%{version}b2.zip
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: python26-devel
BuildRequires: python26-setuptools

Provides:	cssutils = %{version}-%{release}
Obsoletes:	cssutils <= %{version}-%{release}

%description
A Python package to parse and build CSS Cascading Style Sheets. 

%post
ldconfig

%postun
ldconfig

%prep
%setup -n cssutils-%{version}b2

%build
/usr/bin/python%{PYVER} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
/usr/bin/python%{PYVER} setup.py install --root="$RPM_BUILD_ROOT" 

%files
%defattr(-,root,root)
%{_bindir}/csscapture
%{_bindir}/csscombine
%{_bindir}/cssparse
%{python_sitelib}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jun 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.7-1
- Initial CCux package release
- beta2
